%define rhugversion 20030213
%define rhugsource1 %{name}-%{version}-src upstream
%define rhugpatches 2

Summary: Jakarta Commons Collections Component
Name: commons-collections
Version: 2.1
Release: 9.XOS.1
URL: http://jakarta.apache.org/commons/collections.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-2.1-release.patch
Patch2: %{name}-2.1-teststatus.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
ExclusiveArch: i386 x86_64 ppc ia64

%description
There are certain holes left unfilled in the Collections API. The
Jakarta Commons Collections Component strives to fulfill them.

%package devel
Summary: CNI headers for developing Commons Collections applications
Group: Development/Libraries
Requires: commons-collections = %{version}-%{release}

%description devel
The commons-collections-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Collections Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p1 -b .teststatus
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib-org-apache-commons-collections.so

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-collections.so \
    %{_datadir}/java/commons-collections.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-collections.so \
    %{_datadir}/java/commons-collections.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt upstream/*.html
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/collections

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.1-9.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on commons-collections-2.1-9.src.rpm
  (md5sum of original source rpm: fcd86afdd3c8175cf2740744e403dfcf).

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 2.1-9
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 2.1-8
- Rebuild with new compiler.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 2.1-7
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 2.1-6
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 2.1-5
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 2.1-4
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 22 2003 Gary Benson <gbenson@redhat.com> 2.1-3
- Move unversioned library symlink into main package.

* Sat May  3 2003 Gary Benson <gbenson@redhat.com> 2.1-2
- Rebuild with new compiler.

* Wed Mar 26 2003 Gary Benson <gbenson@redhat.com> 2.1-1
- Initial Red Hat Linux build.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
